<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="m-section s-section" style="height: 320px; overflow: auto;">
    <div class="m-section__content s-section__content">
      <table
        class="table m-table m-table--head-no-border s-stat-table"
        v-if="chartData && chartData.data_chart.length > 0 && chartData.columns_table.length > 0"
        style="width: 99%;"
      >
        <thead>
          <tr>
            <th style="width: 30px;">#</th>
            <th
              v-for="(column, column_index) in chartData.columns_table"
              :key="column_index"
              :class="column_index == chartData.columns_table.length-1 ? 'm--align-right s-table__column-value' : ''"
            >{{ column.name }}</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(row, row_index) in chartData.data_chart" :key="row_index">
            <th scope="row">{{ row_index + 1 }}</th>

            <td v-for="(column, column_index) in chartData.columns_table" :key="column_index">
              <template v-if="column_index == chartData.columns_table.length - 1">
                <div
                  :class="column_index == chartData.columns_table.length-1 ? 's-table__row-value s-table-value-color-line' : ''"
                  :style="{ 'background-color': '#FFE0BC !important', width: valueToPercent(row[column.key]) + '%' }"
                >{{ row[column.key] | formatNumberPrice }}</div>
              </template>
              <template v-else>
                <div>{{ row[column.key] }}</div>
              </template>
            </td>
          </tr>
        </tbody>
      </table>
      <div v-else>
        <span>Không có dữ liệu</span>
      </div>
    </div>
  </div>
</template>
